Subject: Re: git 2.17.0: uninitialized value $rec in scalar chomp at ...Git.pm line 557

From: Joseph Mingrone <[email-masked]>
Date: Fri, 06 Apr 2018 09:32:17 -0300

Johannes Schindelin <[email-masked]> writes:

> Hi Joseph,

> On Fri, 6 Apr 2018, Joseph Mingrone wrote:

>> After upgrading to version 2.17.0, this message appears repeatedly when
>> running `git svn rebase`:

>> Use of uninitialized value $rec in scalar chomp at /usr/local/lib/perl5/site_perl/Git.pm line 557, <$fh> chunk 1.

>> The value of chunk varies.  For example the message above may end with
>> '...<$fh> chunk 5.'  This is with the FreeBSD packages git-2.17.0 and
>> perl 5.26.1.

> Does this stop the `rebase`?

> Also: could you publish the unrebased branch so that others can reproduce
> the error? (I am not claiming that I have enough time; I don't...)

> Thanks,
> Johannes

Hi Johannes,

No, this does not stop the `svn rebase`.  This is with the FreeBSD ports tree, svn.freebsd.org/ports, following the setup described at https://wiki.freebsd.org/GitWorkflow/GitSvn .

J.